Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query.protege
Interface ProfileIndividualLocator

All Known Implementing Classes:
  DigProfileIndividualLocator

    public interface ProfileIndividualLocator

ProfileIndividualLocators can be used to search an OWLModel for individuals of ServiceProfile that adhere to a given set of search parameters.

Author:
  tilmann

Method Summary
`List<ProfileIndividualInfo>` | `findProfileIndividuals(int searchLevel)` This method can be used to search for services profile individuals suitable to the previously set searchParameters.
`int` | `getAvailableSearchLevels()` Get the maximum search level that can be used plus one.
`ParameterConformClasses` | `getConformClasses()` Get Conform Classes taken into account by the last search step executed.
`void` | `setProfileIndividualParameter(ProfileIndividualParameter searchParameter)` Sets the search parameter for subsequent calls to findProfileIndividuals

Method Detail

### getAvailableSearchLevels

    int getAvailableSearchLevels()

  Get the maximum search level that can be used plus one.

  Returns:
    the number of search levels available

### findProfileIndividuals

    List<ProfileIndividualInfo> findProfileIndividuals(int searchLevel)
                                                       throws IOException

  This method can be used to search for services profile individuals suitable to the previously set searchParameters. The resulting list may also contain individuals that do not perfectly match the parameters. This is indicated with a relevance below 1. How exact profile individuals are matched can be specified wiht the searchLevel parameter. Subsequent calls for a single search parameter must start with search level 0 and may increase searchlevel only by one each time up to the maximum that can be obtained by getAvailableSearchLevels.

  Parameters:
    `searchLevel` - the search level to be applied
  Returns:
    a list of search results
  Throws:
    `IOException`

### setProfileIndividualParameter

    void setProfileIndividualParameter(ProfileIndividualParameter searchParameter)

  Sets the search parameter for subsequent calls to findProfileIndividuals

  Parameters:
    `searchParameter` - the roles the individuals should have assigned

### getConformClasses

    ParameterConformClasses getConformClasses()

  Get Conform Classes taken into account by the last search step executed.

  Returns:
    a java bean containing conform classes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD